scim-thai_0.1.3-4_i386.deb


Advertisement

Description

scim-thai - Thai Input Method Engine for SCIM

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: scim-thai
Package version: 0.1.3
Package release: 4
Package architecture: i386
Package type: deb
Installed size: 73 B
Download size: 19.73 KB
Official Mirror: archive.ubuntu.com
SCIM (Smart Common Input Method) is an input method (IM) platform. This package provides Thai input method engine for SCIM. Currently, it supports Ketmanee, TIS-820.2538 and Pattachote keyboards; three levels of strictness for input sequence check.

Alternatives

    Download

    Source package: scim-thai

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install scim-thai deb package:
      # sudo apt-get install scim-thai

    Files

    • /usr/lib/i386-linux-gnu/scim-1.0/1.4.0/IMEngine/thai.so
    • /usr/lib/i386-linux-gnu/scim-1.0/1.4.0/SetupUI/thai-imengine-setup.so
    • /usr/share/doc/scim-thai/NEWS.gz
    • /usr/share/doc/scim-thai/README
    • /usr/share/doc/scim-thai/changelog.Debian.gz
    • /usr/share/doc/scim-thai/copyright
    • /usr/share/locale/th/LC_MESSAGES/scim-thai.mo
    • /usr/share/scim/icons/scim-thai.png

    Changelog

    2015-08-16 - Theppitak Karoonboonyanan <thep@debian.org> scim-thai (0.1.3-4) unstable; urgency=medium * debian/copyright: Update years * Bump Standards-Version to 3.9.6 (no changes) * Rebuild against libscim8v5 and gcc-5

    2013-12-13 - Theppitak Karoonboonyanan <thep@debian.org> scim-thai (0.1.3-3) unstable; urgency=medium * Use canonical anonscm URIs in Vcs-* fields. * Bump Standards-Version to 3.9.4 (no changes needed) * debian/copyright: Update copyright years * debian/copyright: Also update upstream copyright year * Bump Standards-Version to 3.9.5 (no changes needed)

    2013-02-27 - Theppitak Karoonboonyanan <thep@debian.org> scim-thai (0.1.3-2) unstable; urgency=medium * Convert to Multi-Arch, fixing FTBFS. moduledir has been changed to multi-arch location since libscim-dev 1.4.14-2. So, switch accordingly to fix FTBFS. - debian/install: Replace /usr/lib/ with /usr/lib/*/ - Bump libscim-dev B-Dep to 1.4.14-2. - Bump dpkg-dev B-Dep to 1.16.2, for multi-arch support. - Mark scim-thai "Multi-Arch: same". - Add "Pre-Depends: ${misc:Pre-Depends} to scim-thai. - Thanks to Prach Pongpanich and Ubuntu's Colin Watson, closes: #700941. * Urgency medium due to RC bug fix.

    2012-06-15 - Theppitak Karoonboonyanan <thep@debian.org> scim-thai (0.1.3-1) unstable; urgency=low * Imported Upstream version 0.1.3 - Migrate away deprecated GTK+ APIs, fixing FTBFS. Closes: #676060 * Bump libscim-dev b-dep to (>= 1.4.13-5), for proper gtk+ dependency. See #676790.

    2012-03-25 - Theppitak Karoonboonyanan <thep@debian.org> scim-thai (0.1.2-3) unstable; urgency=low * B-Dep on dpkg-dev 1.16.1, not 0.16.1. * Bump Standards-Version to 3.9.3 with changes - Update debian/copyright Format: URL to 'packaging-manuals' one. * Update copyright years * Build-dep on debhelper >= 9 and drop the lintian override

    2011-12-24 - Theppitak Karoonboonyanan <thep@debian.org> scim-thai (0.1.2-2) unstable; urgency=low * Packaging moved to alioth, update Vcs-* accordingly * Point Homepage directly to linux.thai.net page * debian/control, debian/copyright, debian/install: Apply wrap-and-sort * Build with hardening flags - Bump debhelper compat to level 9. - B-Dep on dpkg-dev (>= 0.16.1~) for dpkg-buildflags. - B-Dep on debhelper (>= 8.9.0~) for dh_auto_configure that uses dpkg-buildflags. - debian/rules: + Use DEB_LDFLAGS_MAINT_APPEND to add --as-needed linker flag. + Add DEB_BUILD_MAINT_OPTIONS to also enable bindnow - Override package-needs-versioned-debhelper-build-depends lintian warning.

    2011-06-27 - Theppitak Karoonboonyanan <thep@debian.org> scim-thai (0.1.2-1) unstable; urgency=low * New upstream release - Drop patch, merged upstream. * debian/copyright: - Updated to DEP-5 rev 174. - Update copyright years. * debian/rules, debian/control: - Switch to dh 7 + dh-autoreconf - Use "-Wl,--as-needed" LDFLAGS, thus require dh-autoreconf (>= 4) with "--as-needed" option - Use debian/tmp destdir for dh_auto_install, so dh_install can later selectively install files. - Skip dh_makeshlibs to avoid meaningless shlibs files and ldconfig calls * debian/install: - Use wildcards for *.so * Bump Standards-Version to 3.9.2 (no changes needed)

    2010-08-01 - Theppitak Karoonboonyanan <thep@debian.org> scim-thai (0.1.1-7) unstable; urgency=medium * Urgency medium due to RC bug fix. * Fix another FTBFS (Closes: #591171) - Add explicit Build-Depends on libltdl-dev. * Bump Standards-Version to 3.9.1 (no changes needed)

    2010-06-30 - Theppitak Karoonboonyanan <thep@debian.org> scim-thai (0.1.1-6) unstable; urgency=medium * Urgency still medium, to let RC bug fix in previous upload get in. * debian/rules: Clean autopoint-generated files on clean target, to prevent extra patch when building twice in a row.

    Advertisement
    Advertisement